%define upstream_name Mail_IMAPv2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.2.1
Release:     	%mkrel 8
Summary:    	Provides a c-client backend for webmail
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Mail_IMAPv2-%{version}.tgz
URL: 		http://pear.php.net/package/Mail_IMAPv2
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Mail_IMAPv2 provides a simplified backend for working with the c-client
(IMAP) extension. It serves as an OO wrapper for commonly used c-client
functions. It provides structure and header parsing as well as body
retrieval.
Mail_IMAPv2 provides a simple inbox example that demonstrates its ability
to parse and view simple and multipart email messages.
Mail_IMAPv2 also provides a connection wizard to determine the correct
protocol and port settings for a remote mail server, all you need to
provide is a server, a username and a password.
Mail_IMAPv2 may be used as a webmail backend or as a component in a mailing
list manager.
This package requires the c-client extension.  To download the latest
version of the c-client extension goto: http://www.php.net/imap.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail_IMAPv2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail_IMAPv2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Mail_IMAPv2
fi

%files
%{peardir}/*
%{xmldir}/Mail_IMAPv2.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-8.mga8
+ Revision: 1499076
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.1-7.mga7
+ Revision: 1273394
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.1-6.mga6
+ Revision: 945568
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 747122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 687334
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 516974
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 376819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.2.1-1.mga2
+ Revision: 219580
- upgrade to 0.2.1
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.2.0-6.mga1
+ Revision: 43147
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail_IMAPv2


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdv2011.0
+ Revision: 613704
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-5mdv2010.1
+ Revision: 470145
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.2.0-4mdv2010.0
+ Revision: 441275
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2009.1
+ Revision: 322279
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2009.0
+ Revision: 236915
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2007.0
+ Revision: 82050
- Import php-pear-Mail_IMAPv2

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- 0.2.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

